Skip to content

Dhcp Snooping ​

7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getGridDhcpSnoopsGETGet dhcp snoop list
createDhcpSnoopsPOSTCreate new dhcp snoops
deleteDhcpSnoopDELETEDelete an existing dhcp snoop
modifyDhcpSnoopPATCHModify a dhcp snoop
getDhcpSnoopImpbsPOSTGet the impbs with given omadacid, siteid and mac and stackId.
getDhcpSnoopStatusGETGet dhcp snoop status
modifyDhcpSnoopStatusPATCHModify dhcp snoop status

getGridDhcpSnoops ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops

Get dhcp snoop list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridDhcpSnoops",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get dhcp snoop list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createDhcpSnoops ​

POST /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops

Create new dhcp snoops

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DhcpSnoopVO

FieldTypeRequiredDescription
idstringnoThe primary id of the dhcp snoop.
omadacIdstringnoThe id of the omada the dhcp snoop belongs to.
siteIdstringnoThe id of the site the dhcp snoop belongs to.
namestringnoThe name of the dhcp snoop.
macstringnoThe mac of the general device.
deviceNamestringnoThe name of the device.
deviceTypestringnoDevice type:ap、gateway、switch、olt
deviceModelstringnoModel of device,for example:EAP225
deviceModelVersionstringnoModel version of device,for example:3.0
showModelstringnoThe client showModel
stackIdstringnoThe stack of the stack device.
stackNamestringnoThe name of the stacking devices.
oswStackOswStackInfoVOno(OswStackInfoVO not expanded; call omada_get_schema "OswStackInfoVO")
portsarray<PortVO>noThe ports selected.
statusintegernoThe connected status of the device.
unSelectedablePortsarray<PortVO>noThe unSelectedable ports of the device.
allPortsarray<OswPortVO>noAll Port list in one device.
allLagsarray<OswLagVO>noAll lag list in one device.
devicesarray<DeviceVO>noThe devices selected to create entries.
json
// omada_call_operation
{
  "operationId": "createDhcpSnoops",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new dhcp snoops
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

deleteDhcpSnoop ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops/{dhcpSnoopId}

Delete an existing dhcp snoop

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
dhcpSnoopIdpathstringyesdhcpSnoopId
json
// omada_call_operation
{
  "operationId": "deleteDhcpSnoop",
  "params": {
    "siteId": "<siteId>",
    "dhcpSnoopId": "<dhcpSnoopId>"
  }
}
Details, permissions and error codes

Delete an existing dhcp snoop
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39820 - The DHCP Snooping entry does not exist.

modifyDhcpSnoop ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops/{dhcpSnoopId}

Modify a dhcp snoop

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
dhcpSnoopIdpathstringyesdhcpSnoopId

Request body — application/json (required) — schema DhcpSnoopVO

FieldTypeRequiredDescription
idstringnoThe primary id of the dhcp snoop.
omadacIdstringnoThe id of the omada the dhcp snoop belongs to.
siteIdstringnoThe id of the site the dhcp snoop belongs to.
namestringnoThe name of the dhcp snoop.
macstringnoThe mac of the general device.
deviceNamestringnoThe name of the device.
deviceTypestringnoDevice type:ap、gateway、switch、olt
deviceModelstringnoModel of device,for example:EAP225
deviceModelVersionstringnoModel version of device,for example:3.0
showModelstringnoThe client showModel
stackIdstringnoThe stack of the stack device.
stackNamestringnoThe name of the stacking devices.
oswStackOswStackInfoVOno(OswStackInfoVO not expanded; call omada_get_schema "OswStackInfoVO")
portsarray<PortVO>noThe ports selected.
statusintegernoThe connected status of the device.
unSelectedablePortsarray<PortVO>noThe unSelectedable ports of the device.
allPortsarray<OswPortVO>noAll Port list in one device.
allLagsarray<OswLagVO>noAll lag list in one device.
devicesarray<DeviceVO>noThe devices selected to create entries.
json
// omada_call_operation
{
  "operationId": "modifyDhcpSnoop",
  "params": {
    "siteId": "<siteId>",
    "dhcpSnoopId": "<dhcpSnoopId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a dhcp snoop
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39820 - The DHCP Snooping entry does not exist.

getDhcpSnoopImpbs ​

POST /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops/impbs

Get the impbs with given omadacid, siteid and mac and stackId.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DhcpSnoopImbpVO

FieldTypeRequiredDescription
macstringnoThe mac of the general device.
stackIdstringnoThe stack of the stack device.
portsarray<PortVO>noThe ports selected.
json
// omada_call_operation
{
  "operationId": "getDhcpSnoopImpbs",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the impbs with given omadacid, siteid and mac and stackId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getDhcpSnoopStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops/status

Get dhcp snoop status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getDhcpSnoopStatus",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get dhcp snoop status
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

modifyDhcpSnoopStatus ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops/status

Modify dhcp snoop status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DhcpSnoopStatusVO

FieldTypeRequiredDescription
dhcpSnoopEnablebooleannoWhether open the dhcp snoop switch.
json
// omada_call_operation
{
  "operationId": "modifyDhcpSnoopStatus",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a dhcp snoop status
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.